al_lock_index_buffer(3)

NAME

al_lock_index_buffer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void* al_lock_index_buffer(ALLEGRO_INDEX_BUFFER* buffer, int offset,
        int length, int flags)

DESCRIPTION

Locks a index buffer so you can access its data. Will return NULL if the parameters are invalid, if reading is requested from a write only buffer and if the buffer is already locked.

Parameters:

•   buffer - Index buffer to lock

•   offset - Element index of the start of the locked range

•   length - How many indices to lock

•   flags - ALLEGRO_LOCK_READONLY, ALLEGRO_LOCK_WRITEONLY or ALLEGRO_LOCK_READWRITE

SINCE

5.1.8

SEE ALSO

ALLEGRO_INDEX_BUFFER(3), al_unlock_index_buffer(3)